##
# config of SP
##

#默认认证方式（根据实际情况配置）
sp.auth.method.default=TAMUsernamePassword
#获取 sp、 idp的 metadata 文件地址（根据实际情况配置）
sp.metadata.ts.download.url=https://ts.uat.siam.sinopec.com
#SP应用节点ID（根据实际情况配置）
sp.metadata.url.entityId=http://10.67.3.12:8081
#应用code,中文需要ASCII转码（根据实际情况配置）
sp.login.tsysAccount=\u80DC\u5229\u6CB9\u7530\u91C7\u6CB9\u5DE5\u7A0B\u4FE1\u606F\u96C6\u6210
#证书路径（根据实际情况配置）
sp.credential.keyStorePath=classpath:/certs/test.app.siam.sinopec.com.jks
#证书库密码（根据实际情况配置,需 help 网站 DES 加密）
sp.credential.keyStorePassword=6ArCSisuIHxnzcT+/S8hHg==
# 证书密码（根据实际情况配置,需 help 网站 DES 加密）
sp.credential.keyPassword=6ArCSisuIHxnzcT+/S8hHg==
#证书别名（根据实际情况配置）
sp.credential.keyAlias=test.app.siam.sinopec.com
#IDP应用节点ID（根据实际情况配置）
sp.saml2.idp.entityId=https://auth.uat.siam.sinopec.com/idp
#metadata请求超时时间，单位毫秒（根据实际情况配置）
ts.metadata.requestTimeout=30000
#ts下载是否为https
ts.metadata.disregardSSLCertificate=true
#metadata是否自动下载 true:自动下载，false:使用本地文件，需要手工考入
ts.metadata.download.auto=true
#metadata最小自动更新时间，单位毫秒（根据实际情况配置）默认10天 不能超过23天
ts.metadata.minRefreshDelay=864000000
#metadata最大自动更新时间，单位毫秒（根据实际情况配置）默认15天不能超过23天
ts.metadata.maxRefreshDelay=1296000000
# SP Key Store Type: jks
sp.credential.keyStoreType=jks

#saml返回报文和本地校验安全区间，单位秒
siam.reponse.safe.time.range=600

#使用本地会话测试 true /使用redis存储会话
session.local=true
#使用redis存储会话，会话在redis中的存储时间 单位是小时。
session.redis.time=0.5


#siam.sp.proxy.web.urls:应用服务器url列表
#F5/nginx 负载代理时使用如下配置 flag=true
#配置示例:siam.sp.proxy.web.urls=[http://java.uat.sinopec.com:8081/sp/SSO/SAML2/POST],[https://eai.siam.sinopec.com:8080],[https://cheng.siam.sinopec.com:8080]
#配置示例:siam.sp.proxy.load.url=https://java.uat.sinopec.com:8443/proxy_path
#配置示例:siam.sp.proxy.flag=true
siam.sp.proxy.web.urls=
siam.sp.proxy.load.url=
siam.sp.proxy.flag=false


#------------------------------------------------------------------------------------
#
# SAML SP JSP Error Handler
#
sp.jsp.error.handler.path=/error.jsp

#------------------------------------------------------------------------------------
#
# SSO Login Path
#
#
#SSO global logout after the redirec to login
#
sp.saml2.slo.redirectToLogin=true
sp.saml2.slo.requestPaths=/SSO/SLO/Redirect

#------------------
#sp.ParserPool
# xml解析池 默认不变
sp.ParserPool.maxPoolSize=100
sp.ParserPool.coalescing=true
sp.ParserPool.ignoreComments=true
sp.ParserPool.ignoreElementContentWhitespace=true
sp.ParserPool.namespaceAware=true


#sp.metadata.ts.download.url+sp.metadata.url+sp.metadata.url.entityId拼接成metadata下载地址
#sp.metadata.backUpPath、idp.metadata.backUpPath为metadata下载后的存放路径
sp.metadata.url=/ts/services/restful/topology/publisher/getEntityDescriptorByEntityID?entityID=
sp.metadata.backUpPath=classpath:sp-metadata.xml
idp.metadata.url=/ts/services/restful/topology/publisher/getIdPEntitiesDescriptor
idp.metadata.backUpPath=classpath:idp-metadata-all.xml


#------------------------------------------------------------------------------------
#
# SAML SP Local Logout parameter
#
sp.saml2.self.LLO.I18N.path=com.sinopec.siam.agent.messages.messages
sp.saml2.self.LLO.image.path=/images/login/success1.jpg

#------------------------------------------------------------------------------------
#
# Theme Of IdP Login Page
#
sp.saml2.idp.themeOfIdPLoginPage=default

# authentication level config file
sp.auth.method.level.file=classpath:/com/sinopec/siam/agent/web/siam-sp-authen-level.xml


#版本信息
sinopec.siam.version=3.5
sinopec.siam.releasedate=2019-12-11
